#include<bits/stdc++.h>
using namespace std;

using ll = long long;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    string n, m;
    cin >> n >> m;

    // neka je n uvek duzi string
    if (n.size() < m.size()) {
        swap(n, m);
    }

    int len = (int)m.size();

    reverse(n.begin(), n.end());
    reverse(m.begin(), m.end());

    string ans = "";
    for (int i = 0; i < len; i++) {
        if (n[i] == m[i]) {
            ans += n[i];
            ans += m[i];
        }
        else if ((n[i] - '0') > (m[i] - '0')) {
            ans += n[i];
        }
        else ans += m[i];
    }

    for (int i = len; i < (int)n.size(); i++) {
        ans += n[i];
    }

    reverse(ans.begin(), ans.end());
    cout << ans << "\n";

    return 0;
}